clan::SoundProviderType_Register< SoundProviderClass > Class Template Reference - ClanLib SDK
Description: clan::SoundProviderType_Register< SoundProviderClass > Class Template Reference

Public Member Functions | List of all members
clan::SoundProviderType_Register< SoundProviderClass > Class Template Reference
clanSound Sound Providers

Class template to register a sound provider type. More...

`#include <soundprovider_type_register.h>`

Inheritance diagram for clan::SoundProviderType_Register< SoundProviderClass >:

## Public Member Functions
| SoundProviderType_Register (const std::string &type)
| Registers sound provider type in the SoundProviderFactory.
virtual SoundProvider * | load (const std::string &filename, bool stream, const FileSystem &fs) override
| Called to load static with this sound provider type.
virtual SoundProvider * | load (IODevice &file, bool stream) override
| Called to load static with this sound provider type.
Public Member Functions inherited from clan::SoundProviderType
| SoundProviderType (const std::string &type)
| Registers a sound provider type in the SoundProviderFactory.
virtual | ~SoundProviderType ()
| Unregisters a sound provider type in the SoundProviderFactory.

## Detailed Description

template<class SoundProviderClass>
class clan::SoundProviderType_Register< SoundProviderClass >

Class template to register a sound provider type.

## Constructor & Destructor Documentation

## ◆ SoundProviderType_Register()

template<class SoundProviderClass >

clan::SoundProviderType_Register< SoundProviderClass >::SoundProviderType_Register | ( | const std::string & | type | ) |
| inline

Registers sound provider type in the SoundProviderFactory.

## Member Function Documentation

## ◆ load() [1/2]

template<class SoundProviderClass >

virtual SoundProvider * clan::SoundProviderType_Register< SoundProviderClass >::load | ( | const std::string & | filename,
|  | bool | stream,
|  | const FileSystem & | fs )
| inlineoverridevirtual

Called to load static with this sound provider type.

Implements clan::SoundProviderType.

## ◆ load() [2/2]

template<class SoundProviderClass >

virtual SoundProvider * clan::SoundProviderType_Register< SoundProviderClass >::load | ( | IODevice & | file,
|  | bool | stream )
| inlineoverridevirtual

Called to load static with this sound provider type.

Implements clan::SoundProviderType.

The documentation for this class was generated from the following file:

- soundprovider_type_register.h